Bug 868585 - RFE: Add patches to correct upstream issue #291
RFE: Add patches to correct upstream issue #291
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: numpy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 20:16 EDT by Paulo Andrade
Modified: 2012-11-19 00:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-22 15:31:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paulo Andrade 2012-10-20 20:16:52 EDT
This is required by my work in progress sagemath package.
But this is a minor issue, as it should be applied to
next numpy 1.7 beta, or final release, and I am adding
it to my f17 sagemath repository and will upload
rawhide packages for anybody doing beta testing :-)

https://github.com/numpy/numpy/issues/291

Spec URL: http://fedorapeople.org/~pcpa/numpy.spec
SRPM URL: http://fedorapeople.org/~pcpa/numpy-1.7.0-0.5.b2.fc19.src.rpm
Comment 1 Gwyn Ciesla 2012-10-22 09:29:42 EDT
Can you attach the patches, please?
Comment 2 Paulo Andrade 2012-10-22 14:09:17 EDT
I believe it is easier to just run something like:

$ mkdir t
$ cd t
$ wget http://fedorapeople.org/~pcpa/numpy-1.7.0-0.5.b2.fc19.src.rpm
[...]
$ rpm2cpio numpy-1.7.0-0.5.b2.fc19.src.rpm | cpio -id
[...]
$ ls
0001-ENH-Allow-objects-to-use-the-array-interface-without.patch
0002-BUG-Make-shape-check-for-special-case-a-bit-stricter.patch
0003-TST-Add-test-for-special-case-in-array-interface.patch
0004-BUG-Make-sure-empty-shapes-are-disallowed-when-data-.patch
0005-BUG-Fixes-for-Python-3.x.patch
0006-BUG-Handle-scalars-correctly.patch
0007-ENH-Assume-object-is-scalar-if-no-shape-and-data-att.patch
0008-BUG-Disallow-shapesize-1-when-coercing-scalar-to-arr.patch
0009-TST-Add-more-tests.patch
numpy-1.7.0-0.5.b2.fc19.src.rpm
numpy-1.7.0b2.tar.gz
numpy.spec
Comment 3 Gwyn Ciesla 2012-10-22 14:55:59 EDT
That's debatable.

Why 9 patches for one issue, is this how it's present upstream?
Comment 4 Gwyn Ciesla 2012-10-22 14:56:36 EDT
Also, what's the ETA on these being upstreamed?
Comment 5 Paulo Andrade 2012-10-22 15:31:08 EDT
Yes, it was 9 commits in the pull request
https://github.com/numpy/numpy/pull/444/commits

But I should not even opened this bug report, as
almost certainly there will be a numpy 1.7 release
before I make sagemath package review request.

I will close the bug report. Sorry for the
signal noise :-)

Note You need to log in before you can comment on or make changes to this bug.